CREATE TABLE app_clienti (
  id bigint(20) NOT NULL AUTO_INCREMENT,
  nome varchar(25) DEFAULT NULL,
  cognome varchar(50) DEFAULT NULL,
  email varchar(50) DEFAULT NULL,
  tel_fisso varchar(25) DEFAULT NULL,
  tel_mobile varchar(25) DEFAULT NULL,
  PRIMARY KEY (id)
)
ENGINE = INNODB
AUTO_INCREMENT = 1
CHARACTER SET utf8
COLLATE utf8_general_ci;

CREATE TABLE app_clienti_automezzi (
  id bigint(20) NOT NULL AUTO_INCREMENT,
  app_clienti bigint(20) DEFAULT NULL,
  marca varchar(255) DEFAULT NULL,
  modello varchar(255) DEFAULT NULL,
  motore varchar(255) DEFAULT NULL,
  alimentazione varchar(255) DEFAULT NULL,
  targa varchar(255) DEFAULT NULL,
  telaio varchar(255) DEFAULT NULL,
  PRIMARY KEY (id),
  CONSTRAINT FK_app_clienti_automezzi_app_clienti_id FOREIGN KEY (app_clienti)
  REFERENCES app_clienti (id) ON DELETE CASCADE ON UPDATE CASCADE
)
ENGINE = INNODB
AUTO_INCREMENT = 1
CHARACTER SET utf8
COLLATE utf8_general_ci;

CREATE TABLE app_prev_comm (
  id bigint(20) NOT NULL AUTO_INCREMENT,
  app_refere bigint(20) DEFAULT NULL,
  titolo varchar(25) DEFAULT NULL,
  descrizione varchar(255) DEFAULT NULL,
  qta decimal(19, 2) DEFAULT NULL,
  unit_price decimal(19, 2) DEFAULT NULL,
  total_row decimal(19, 2) DEFAULT NULL,
  PRIMARY KEY (id),
  CONSTRAINT FK_app_prev_comm_app_referer_clienti_preventivi_commesse_id FOREIGN KEY (app_refere)
  REFERENCES app_referer_clienti_previ_com (id) ON DELETE CASCADE ON UPDATE CASCADE
)
ENGINE = INNODB
AUTO_INCREMENT = 1
CHARACTER SET utf8
COLLATE utf8_general_ci;

CREATE TABLE app_referer_clienti_previ_com (
  id bigint(20) NOT NULL AUTO_INCREMENT,
  app_clienti_automezzi bigint(20) DEFAULT NULL,
  creazione timestamp NULL DEFAULT CURRENT_TIMESTAMP,
  `from` date DEFAULT NULL,
  `to` date DEFAULT NULL,
  type tinyint(1) NOT NULL DEFAULT 0 COMMENT '0 preventivi 1 commesse',
  stato tinyint(1) DEFAULT 1 COMMENT '0 non attivo, 1 attivo,2 pagato',
  PRIMARY KEY (id),
  INDEX IDX_app_referer_clienti_previ_com (type, stato),
  CONSTRAINT FK_app_referer_clienti_previ_com_app_clienti_automezzi_id FOREIGN KEY (app_clienti_automezzi)
  REFERENCES app_clienti_automezzi (id) ON DELETE CASCADE ON UPDATE CASCADE
)
ENGINE = INNODB
AUTO_INCREMENT = 1
CHARACTER SET utf8
COLLATE utf8_general_ci;

CREATE TABLE app_users (
  id bigint(20) NOT NULL AUTO_INCREMENT,
  user_ varchar(255) DEFAULT NULL COMMENT 'nome_utente accesso al gestionale',
  pass_ varchar(255) DEFAULT NULL COMMENT 'password_utente accesso al gestionale',
  stato tinyint(1) DEFAULT 1,
  PRIMARY KEY (id)
)
ENGINE = INNODB
AUTO_INCREMENT = 1
CHARACTER SET utf8
COLLATE utf8_general_ci;